0 milhões de comentários
Page rank 1?
Legal!!! não é 10, mas já quer dizer que o blog é mais visto que muito abacaxi por aí, hehehehe

Obrigado a todos que comentaram, perguntaram ou apenas vistam o blog!!!!

Estão todos convidados a contribuirem de alguma forma, seja com críticas, sugestões, ou até mesmo com seus programas e dicas!!!

Quer dar a sua dica? mande-a para o meu email (neyton@yahoo.com) e terei o maior prazer em publicar!!

Ah, claro quem qui$er ajudar, $inta-$e a vontade, hehehehehe!!!!

LSP2HTM

0 milhões de comentários
Como diria o zeca pimenteira:
Tuuuuudo maaaaaaaaaiiss ou meeeeeenoooossss ééééééééé?????

Você já viu os códigos lisp daqui do blog coloridos né?
já viu que é possível converter seus códigos para serem postados em outras páginas também, correto?

Agora que tal implementar isso em PHP no seu forum?

Sim é possível!! no www.autolisp.com.br já roda a primeira versão desse aplicativo a um bom tempo (obrigado marcos, por permitir!!! hehehe)

Agora, além de visual lisp o programa também interpreta DCL!!!

para funcionar, requer o PHPBB rodando
no seu forum e é claro é preciso adicionar o suporte ao código....

Se você não sabe do que estou falando, use a versão em javascript mesmo, não esquente com este "post", hehehehe

Mas vamos lá, baixe o programinha e siga as instruções do arquivo readme.txt

Se tudo der certo, vai ficar assim:


Veja que adicionei os botões "DCL" e "LSP" alem dos tradicionais "Quote", "Code" etc ao formulário de postagens do forum phpbb e veja como fica postado, bacana não?


Dtal 3.0

12 milhões de comentários
Depois do DTAL, do DTAL 2 a vingança, Chega neste momento: DTAL 3.0!!!

Desenha o pente tradicional e agora desenha os triângulos no início da linha:


Ah, desenha vazado também!!

Civil 3d - Tutoriais - parte 12.2 - PipeNetworks - Edição de estruturas

0 milhões de comentários

Ok, ok, ok!!!! como diria aquele cara da redetv, hehehe



Já temos uma lista de material, fizemos um lançamento básico, mas... não tem os
tamanhos das caixas que queremos....

Isso é um problema se você se importa em apresentar um desenho onde as caixas tem seus tamanhos reais, mas não se você só apresenta uns esquemáticos...



Se você faz a segunda opção... lamento... tu é muito preguiçoso, não??

Então vamos fazer ter os tamanhos que queremos!!!

Pegue o dwg do tutorial anterior

Abra o PartBuilder:




Pra começar, vamos fazer a CL (caixa de ligação), escolha a "Junction Structure without frame":




Veja que estou editando Structures, hein?, ao selecionar a caixa correta, clique o botão que tem uma caderneta e lápis...

Vai abrir um desenho.... opa!!!!!!!

Abrir desenho? que desenho???

É um desenho que esta na pasta:

"C:\Documents and Settings\All Users\Dados de aplicativos\Autodesk\C3D 2008\enu\Pipes Catalog\Metric Structures"

Se você usa o windows XP



Aliás, ali tem outros arquivos que compõe o catálogo de desenhos que possibilitam tudo funcionar... não mexa em nada se não souber o que está fazendo!!!



Voltando... Notou que abriu uma janela escrito "ContentBuilder":






Tem uma carretada de coisas ali...

Como só vamos adicionar os tamanhos das caixas que queremos, não vou me ater a todos os detalhes....

Selecione "Size Parameters" e clique o botão direito do mouse sobre ele.... escolha "Edit Values"






Na nova janela que se abre estão os parâmetros que são usados para criar o modelo tridimensional da caixa



É tudo paramétrico, largura interna, espessura da parede, altura...

Confesso que não estudei tudo ainda, hehehe

Os parâmetros que nos interessam são SIW e SIL, "Structure Inner Width" e "Structure Inner Length" respectivamente (está invertido eu sei...)



Ah para saber o que cada código quer dizer, escolha no menu "Parameter Configuration":






Bom, selecione o valor que está em SIW, e clique Edit:



Vai aparecer uma lista dos valores possíveis. No meu caso, está configurado para
milímetros (Veja o seu caso em "Parameter Configuration", na coluna do SIW)

Editei estes valores para (veja quantas janelas):




É isso.... repita o processo para o SIL (largura interna da caixa)

É provável que sua caixa seja de concreto com 15cm de largura, como as que eu uso, então altere o valor do "Wth" (wall tickness, ou espessura da parede) para 150mm (unidades, não esqueça...)



Reparou que tem um modelo 3D da caixa aberto? Dê uma olhada no desenho!!!



Expanda "Model Parameters" em "Modeling", ali você verá como os parâmetros se relacionam
através de equações:




Não esquente com estas equações, nem com os valores que algumas variáveis possuem, elas estão ali apenas para que algo seja desenhado...



Bom, Agora que já alterei as dimensões internas (SIL, SIW) e parede (Wth), edite também a espessura da laje de fundo (Fth, floor tickness)



Reparou que a nossa caixa não tem tampa?... Isso pode ser um problema!!

Vamos adicionar uma tampa!! Em "Size Parameters", clique ADD



Na janelinha, escolha "Slab Tickness", ela corresponde ao parâmetro SSTh, e será a nossa tampa:





Agora procure na lista, onde está o SSTh, configure-o para aceitar uma lista de valores, e edite para
milímetros as unidades:





Configurando como LIST o tipo de origem de dados, podemos pré configurar valores para a espessura da tampa e também evitar que valores quebrados sejam inseridos ali.



Com isso, vá em "Values" (trocando naquele dropdown no meio desta janela), ache o SSTh e edite os valores, clicando o
Edit:




Ainda falta fazer ele entender o que fazer com isso!! Para tal, temos de editar o modelo:





Vai aparecer uma tela com as descrições e valores/equações usados no modelo. Basicamente vamos fazer ele saber que a estrutura tem tampa, e deve computar isso no
cálculo da altura total da estrutura.



A altura é dada pelo parâmetro LenB1, olhe o modelo 3d, é uma "dimension" com o texto "lenB1", coloque o parâmetro SSTh na sua fórmula:




Faça o mesmo com a fórmula do SBSH (Structure Height)

Por fim, coloque o valor 2 em SSTh, deverá ficar assim:






Ok, perfeito, só salvar, mas em vez de salvar apenas, vamos "salvar como", para termos a estrutura original intacta!



Para tal, clique "Save PartFamily As":



Com isso podemos criar a nossa CL:




Clique o botão "New Chapter" para criar uma pastinha, chame-a de CL, dê o nome da sua estrutura e a descrição e clique OK



Agora edite a "Part List" DRENAGEM, adicione a CL:




(Veja o tutorial 12.1 para saber como adicionar)

Adicione uma "Part Size" (idem) e edite a Pipenetwork "A"

Adicione uma CL do novo modelo (que acabamos de editar) e a inclua no perfil



Agora, peça as propriedades da caixa... veja que alem dos dados que a CL antiga tem, temos o "Slab tickness":




Para garantir que deu certo, coloque o "Rim to sump height" para 4m, vá no perfil e meça:




4.3m!!, claro, a tampa tem 15cm, e o fundo mais 15cm!!! e veja os blips, o do fundo está na no topo da laje de fundo

Veja o dwg como ficou

That's it!!

Arquivos FAS

0 milhões de comentários
Buenas moçada!!!
Vi no forum que ainda tem gente que não sabe criar arquivos fas, vamos lá, é bem simples!!!

Primeiro abra o editor do visual lisp, com o comando VLISP
Em seguida, no meno "Project" escolha "New Project":


Vai pedir para salvar em algum lugar o novo projeto... Dica: SALVE NA MESMA PASTA QUE AS SUAS LISPS ESTÃO, assim, ao aparecer a tela abaixo, já vai estar preenchida a lista do quadro da esquerda com as lisps encontradas nesta pasta, veja:


No caso, salvei o projeto com o nome "f:/autocad/tbn2/lisps/tbn.prj"
ah, nomes de projetos tem que ser somente com letras e sem espaços, ok?

Apareceram diversas lisps lá no quadrinho da esquerda... Selecione as que desejar e clique o botão ">". Pronto elas vão para o quadrinho da direita, isso significa que já fazem parte do projeto

Agora digamos que queremos adicionar lisps que estão numa outra pasta qualquer...
Basta clicar o botão "..." que está o "Look in", procurar esta pasta e o quadrinho da esquerda será preenchido com as lisps ali disponíveis... Simples não?


Bom, agora, uma parte muito importante!! Clique a aba "Build Options":


Em "Compilation Mode" marque "Optimize", sinceramente não notei diferença significativa com o modo Standard, mas em fim... Algumas compilações podem ser problemáticas sem esta opção

No "Merge mode" você tem a opção de criar um arquivo FAS para cada lisp ou um unico arquivo FAS para todas as lisps. Eu uso um único arquivo FAS, para carregar depois é mais facil, menos demorado (e trava menos o cad principalmente se você ainda usa o cad 2000 em uma máquina lenta)

A opção "Message Mode" pode ficar na segunda opção, ela controla quais problemas serão mostrados na janela "Output" que é mostrada quando compilamos o projeto... logo você verá isso

Deixe ainda a opção "Safe optimize" marcada... Também não notei nada em relação a isto...
Já a opção "Localize Variables" serve para o compilador informar quais variaveis locais não foram declaradas como tal. Como você sabe, se uma variavel local não é declarada como local, ela se torna global e isso pode comprometer a memória disponível para do cad... Isso era problema antigamente, quando memória era um recurso caro, mas agora.... bem... Deixe marcado, para o caso de você não compilar o arquivo FAS para VLX, assim, não corre o risco de "contaminar" variáveis ou mesmo programas lisp de terceiros....

Na caixinha "Fas directory" é onde será salvo o arquivo FAS... clique o botão "..." e escolha esta pasta. Enquanto que a caixinha "Tmp directory" é uma pasta para onde vão os arquivos temporários gerados durante a compilação; escolha uma pasta DIFERENTE da pasta onde estão os lisps ou para onde irá o arquivo FAS, pos nesta pasta temporária estará cheio de arquivos *.ob" e isso so "polui" a pasta, hehehehe e poderão ser apagados posteriormente

O botão "Edit Global Declarations" deixe quieto.. não é necessário editar nada lá...

Feito isso tudo, vai aparecer esta janelinha:


Experimente agora dar um duplo clique no nome de qualquer lisp desta janelinha!!!
bacana não? ela se abra, sem você ter que ir pelo menu "File"!!!

Bom, vê os 5 botões que estão na janelinha?
O primeiro mostra a tela de propriedades do projeto, aquele do "Project Properties"

O segundo, carrega o arquivo FAS se ele já estiver compilado, se não estiver, ele compila e carrega o arquivo FAS

o treceiro carrega as lisps do projeto, uma a uma

O quarto compila o projeto, use quando for alterar muitas rotinas antes de recompilar

O quinto recompila, use quando fizer alterações em poucas lisps, demora menos...
Pra você ter ideia, o "output" do "tbn.prj" tem cerca de 2000 linhas, ao clicar o quarto botão... se fizer apenas a edição de uma lisp, apenas algumas coisas serão efetivamente alteradas no arquivo FAS e o quinto botão é a melhor opção

Em fim, clique o quarto botão...
A janela "" vai aparecer...
Ela irá mostrar todos os erros e avisos ocorridos durante o processo de compilar...


Vê as linhas marcadas de azul? Vão aparecer algumas, quase sempre.... experimente clicar duas vezes uma delas....

Vai abrir a lisp correspndente na linha onde está o erro marcado!!! Bacana né?
Por exemplo, cliquei o aviso "; warning: run time evaluated expression: (READ X)"
e mostrou:


Bom, cabe a você analizar os erros... Neste caso, o aviso acontece porque usei a função EVAL e ela dá esse aviso sempre, isto é, se deixar a opção de mostrar avisos ligada....

As vezes vão aparecer erros, por exemplo de argumentos inválidos e ficará muito facil descobrir onde, basta dar uma olhada na janela "Build Output"

Feitas as correções, é so clicar o quinto botão:


Pronto, uma nova janela "Build Output" será criada....
Com erros e avisos ou não...

Agora vá ate onde o arquivo FAS deveria estar:


Agora veja a estrutura de pastas que criei... Lembra que a pasta temporária está em C:\temp?
as lisps estao na pasta LISPS e o FAS na pasta FAS.... ajuda a organizxar as coisas....

IMPORTANTE:
a ordem em que as lisps aparecem na janelinha acima FAZ TODA A DIFERENÇA!!!
AINDA MAIS SE VOCÊ COLOCA ALGUMA ROTINA PARA EXECUTAR IMEDIATAMENTE APÓS CARREGAR O ARQUIVO FAS COM O APPLOAD
porque: se você chamar a rotina assim:
(defun algumacoisa (/)...)

e colocar em algum outro arquivo lisp isto:
(algumacoisa)

este outro arquivo deverá VIR DEPOIS do arquivo lisp que contem a definição de (algumacoisa)

senão, ao carregar o arquivo FAS resultante, dará erro de função indefinida, sacou?


é isso...
Depois mostro como usar este projeto de arquivo FAS mais algumas DCLs e criar um módulo VLX que contém os dois, aí vai ficar mais profissional o esquema!!!

Ctotal

4 milhões de comentários
Uma lispezinha so pra descontrair... Serve para calcular o comprimento acumulado de diversas linhas selecionadas, que podem ser LINE, SPLINE, ARC, LWPOLYLINE, POLYLINE, ELLIPSE
Se tiver outro tipo de linhas ( tem será? ) pode ser adaptada facilmente!!!

mais...

(defun c:ctotal (/ n ss soma ent)
  (
tbn:error-init  nil)
  (
setq ss (ssget '((0 . "LINE,SPLINE,ARC,LWPOLYLINE,POLYLINE,ELLIPSE")))
    n 0
    soma 0.0)
  (
repeat (sslength ss)
    (
setq ent (ssname ss n)
      n   (1+ n)
      soma (+ soma (vlax-curve-getdistatparam ent
             (vlax-curve-getendparam ent)) ))
    )
  (
prompt (fnum soma 3))
  (
tbn:error-restore))


Link(s) da(s) subrotina(s) usada(s):
tbn:error-init, fnum, tbn:error-restore

Ah claro, faço uso de algumas subrotintas, então ANTES de dizer que não funcionou, baixe as subrotinas... tem os links para elas no final da lisp... E claro, salve tudo num único arquivo, pra facilitar

Ou baixe isto: ctotal.fas

Carregue com o appload normalmente....

Civil 3d - Tutoriais - parte 12.1 - PipeNetworks - Lançamento

0 milhões de comentários
Tá, criou a lista de material e definiu os estilos? ótimo, vamos continuar, hehehe

Se não fez, baixe o modelo e sobrescreva os estilos o desenho inicial

Sim, fiz de propósito, assim você pode (ou não) descobrir como copiar estilos de um desenho para outro (com o
Toolspace na aba settings, deixe o "master View" e é so arrastar)...



Bom, nessa altura, você deve ter percebido que alguns desenhos chamam a XREF do arquitetônico, não é? Caso positivo, e você não tenha ele, baixe aqui

vai ser útil... se bem que so com os Corridors já dá pra fazer...



Pra facilitar, vamos convencionar:

PV - poço de Visita

CL - Caixa de Ligação

BL - Boca de Lobo



Então tá, no menu pipes, create "pipe network by layout" (comando CREATENETWORK)






Na tela que se abre, dê um nome, Em "Network Part List" escolha a part list que criamos no tutorial anterior ("DRENAGEM")

Em "Surface Name", defina como sendo a superfície "TOP_FINAL" criada no dwg do tutorial anterior.



Em "Alignment Name", pode deixar vazio, pois vamos desenhar redes em varias partes do loteamento.



Em "Structure Label Style" e "Pipe Label Style" deixe em branco, os textos só atrapalham durante o lançamento...

Basicamente ficará assim:





Aparece uma barrinha de ferramentas, assim como a barrinha dos Alinhamentos e dos perfis, lembra? Veja:






Ah, estou pressupondo que lançar a rede no papel você saiba, ok? Como já disse outras vezes, estamos estudando a ferramenta, não ENGENHARIA



Na barrinha, veja o rodapé dela... Temos que a superfície é a configurada, e
a "Part List" também... tudo OK, mas vai ter um ponto quem que lançarei a drenagem um lugares onde não foram modeladas estradas e nestes casos precisaremos usar o
terreno natural como referência de cotas... Quando isso acontecer, é só clicar o ícone verdinho das surfaces na barrinha e escolher o terreno...



Ok, ainda não desenhei nada...

Preciso comentar o seguinte:

A opção que eu vou usar no lançamento é: Coletor principal no passeio



A segunda coisa é que o civil 3d aceita que você desenhe no sentido do fluxo ou contra o fluxo, e isso faz toda a diferença, Uma vez que o civil 3d NÃO DIMENSIONA a rede, temos de dizer a ele como queremos o fluxo, Veja o quarto botão da direita para a esquerda na barrinha, ele nos diz que está desenhando DE MONTANTE PARA A JUSANTE (supondo que você saiba o que é isso) se clicar nele, o tubo aponta para cima e estaremos desenhando ao contrário.



Opte por desenhar de montante para a jusante e a estrutura inicial SEMPRE
ESTARÁ A MONTANTE do tubo, ok?



Na lista de estruturas, escolha o PV e na lista dos tubos escolha o tubo, como na figura:





Pronto o civil 3d está pedindo o ponto de inserção... Veja que tem um botão em que você define se está desenhando tubos e estruturas (opção padrão), só tubos ou so estruturas...



Bom, clique as coordenadas x = 675748 y = 7195923... é nas imediações da estaca 5 do alinhamento A0, no passeio do lado esquerdo... Ah!!!!! desenhou um quadrado!!!! é o PV!!!



Agora desça a rua ate a estaca 3+00m, isso dá uns 40m, ali fica o nosso próximo PV, mas em vez de PV, vamos colocar uma CL, então com o comando ainda ativo (veja que ele fica pedindo o ponto de inserção da próxima estrutura) apenas troque na lista de estruturas para a CL:






Inseriu? percebeu que a CL ficou perpendicular em relação ao tubo que vem do primeiro PV? Sabe dizer porque o primeiro PV não está rotacionado? Isso é Problema?



Bom, dá pra rotacionar depois, é só selecionar a estrutura e mexer o blip circular...



Agora o truque: clique ESC... vai ficar o tubo desenhado e a barrinha de
ferramentas de edição da Pipenetwork vai sumir...

Não esquente, abra o Toolspace no prospector, ache a network, botão direito...





Pronto a barrinha reapareceu...

Troque o tipo de estrutura para BL (boca de lobo), volte até a estaca 5 mas agora do lado direito da rua, no meio fio, você irá adicionar a BL!!

Clique... Agora, do outro lado da rua, aproxime-se do PV com o cursor, veja que aparece um círculo amarelo:




Ele diz o seguinte: encontrei uma estrutura aqui, devo conectar o tubo nela?

Aí você tem 2 opções: clicar DENTRO da estrutura, ou FORA.

Se clicar dentro, o tubo será conectado na estrutura existente, se clicar fora, será desenhada uma nova estrutura e esta não terá nada a ver com aquele PV



Vamos clicar fora, na verdade queremos desenhar uma boca de lobo ainda, antes de chegar ao PV, aí sim conectamos a ele... Veja como ficou (já rotacionei as BLs, só clicando os "blips" da mesma):








Clique o ESC, assim podemos ir para as próximas BLs a serem lançadas... Vamos até a CL da estaca 3, selecione um tubo ou estrutura já lançada, clique com o botão direito do mouse sobre ele... veja que
tem vários comandos, um deles é justamente o "Edit Network". Claro que você deve deixar os menus de contexto habilitados lá no options (por padrão estão, só não estarão se você os desligou, se o fez, desfaça!!! hehehe)



Insira mais uma BL na estaca 3 do lado direito, que vai até outra BL do lado esquerdo e termina conectando na CL. Pronto... Rotacione a primeira BL....



Veja que não me preocupei com cotas de fundo ainda... porque isso NÃO É IMPORTANTE AINDA, ok?



Desenhe mais um par de bocas de lobo com um PV lá nas imediações da estaca 0+10m. Este será o ponto final deste coletor... Não disse, mas você deve ter notado que ali já existe uma rua, e nesta existe uma linha de drenagem passando... vamos considerar que nossa rede será interligada a ela, ok?



Bom, mas podemos ver o que o civil 3d nos diz...

Abra o Toolspace e expanda a PipeNetwork até achar o "Pipe", deixe o espaço abaixo do
Toolspace aparecendo, veja:




Percebe a coluna Status? Dois tubos estão com o "Slope" (declividade) sinalizados...

Vamos fazer um perfil para ver o que se pode fazer?



Bom, pra isso, é necessário apenas um coisa: um ProfileView



Você pode fazer 2 coisas: criar um ProfileView temporário, com o "Quick Profile" (comando CREATEQUICKPROFILE), e para isso precisa desenhar uma linha passando pelos tubos, ou usar o
ProfileView do alinhamento A0



Vou optar pela segunda opção: ProfileView do alinhamento A0, veja que no dwg inicial, já tem os
ProfileViews de todos os alinhamentos, copie o do A0...



Agora, selecione os tubos, PVs e CL do coletor principal (que está no passeio):








Veja os blips na cor cyan... Agora, botão direito do mouse sobre um dos tubos selecionados, no menu de contexto, temos "Draw Parts in
ProfileView"








Clique-o, vai pedir para selecionar o ProfileView... selecione aquele que você copiou... Ficará assim:








As estruturas ficam bem esquisitas não? Selecione a CL, ela está no meio... apareceu blips triangulares nela? Ótimo!!!
Experimente "strechar" o de baixo, ele controla a cota de Fundo.



Notou que ele não está exatamente sobre a linha de fundo? aquela diferença entre a posição desse blip e a linha de fundo é a
espessura da laje de fundo da caixa!!! Já o superior é a cota de topo da tampa, por isso ele está por fora, ou sobre a linha superior!! CLs normalmente não sobem até o nível do terreno, até porque, não são visitáveis, se o fossem, seriam PVs e não CLs, ok?



O normal, é que a tampa das CLs se elevem no máximo uns 15 a 20 cm da geratriz superior externa do tubo mais alto, e esse ajuste você deve fazer na mão, ou................. comprar o C3DRENESG, HEHEHE!!!!



Selecione os tubos que chegam a CL:






Eles também tem um conjunto de blips, na geratriz interna superior, inferior, no centro, no meio do tubo e mais três na outra extremidade....

O correto é que o tubo que SAI tenha a geratriz inferior na mesma cota que o fundo da CL, já os que chegam, tanto faz, vai depender do dimensionamento, mas necessariamente estarão ACIMA da cota de fundo da CL



Agora analise os PVS, mais esquisito ainda não?

Selecione um deles... viu que o blip da cota de fundo está totalmente fora da de posição? (aqui aconteceu isso, aí PODE OU NÃO acontecer)






isso acontece, porque a estrutura tem um parâmetro chamado SRS, que vamos ver no part builder, que força uma altura mínima no PV, e este não tem um comprimento de
pescoço definido ainda...

Para concertar isso, selecione o PV, pode ser aí no perfil mesmo, e clique o botão direito do mouse... no menu escolha "Structure Properties":




Vai aparecer uma tela, com algumas abas... selecione a aba "Part Properties"...






Muita coisa não???

Logo nas primeiras, vemos de que superfície sai a cota de terreno do pv...

Descendo mais um pouco, altere a propriedade "Control Sump By" para "Elevation"

Desça ate achar "Frame Height", altere para 50cm (cuidado com as unidades)

aqui ficou:

General

 Surface Elevation At Insertion Point 867.086m

 Reference Surface TOP_FINAL

 Reference Alignment 



Geometry

 Structure Rotation Angle 153.6901 (d)

 Structure Offset 

 Structure Station 

 Structure Northing 7195960.7149m

 Structure Easting 675672.8058m

 Connected Pipes 2



Insertion Rim Behavior

 Insertion Rim Elevation 867.086m

 Surface Adjustment Value 0.000m

 Automatic Surface Adjustment true



Sump Behavior

 Sump Elevation 865.244m

 Sump Depth 0.455

 Control Sump By: Elevation



Part Data

 Part Type Struct_Junction

 Part Subtype Slab Top

 Part Description Rectangular Structure Slab Top Circular Frame SI

 Part Size Name 1 000 x 1 000 Rect Structure 800 dia Frm 500 FmHt 100 Slab 150 Wall 100 Floor

 Structure Shape BoundingShape_Box

 Vertical Pipe Clearance 400.000mm

 Rim to Sump Height 1.841m

 Wall Thickness 150.000mm

 Floor Thickness 100.000mm

 Material Reinforced Concrete

 Frame Standard

 Grate Standard

 Cover Standard

 Frame Height 500.000mm

 Frame Diameter 800.000mm

 Frame Length 

 Frame Width 

 Barrel Height 

 Barrel Pipe Clearance 300.000mm

 Cone Height 

 Slab Thickness 100.000mm

 Inner Structure Length 1000.000mm

 Inner Structure Width 1000.000mm

 Structure Height 1.941m

 Structure Width 1300.000mm



Clique Ok..






Te pareceu melhor?

ok... MUITO BEM.... continua...

dwg da
Pipenetwork A

Civil 3d - Tutoriais - parte 12 - PipeNetworks - Lista de Material

3 milhões de comentários
Tchan, Tchan, Tcharam!!!!!

Até que em fim um tutô mais interessante!!! hehehe atendendo a pedidos, lá vamos nós!!!



Primeiro de tudo, tenha um modelo digital do terreno já muito bem acabado!



Por exemplo, usei o dwg do tutorial 10.2, inseri surfaces do código TOP em todos os corridors, coloquei no estilo CORRIDORS, em seguida, para facilitar, criei uma surface "TOP_FINAL" que contem TODAS as surfaces TOP de cada
corridors.

Como fiz isso? tente descobrir... Se não conseguir, aguarde, qualquer hora sai alguma coisa aqui sobre isso, hehehe



Por que fiz assim? bem, você so poderá fazer a drenagem do terreno após saber onde estão as ruas e quais são seus greides... bem como os cobrimentos dos tubos que ficam em função da cota final do pavimento ou da calçada, não é mesmo?



Vai ficar assim:






Para te facilitar, baixe o dwg



Pra começar, o que é uma Pipenetwork?

Basicamente é uma rede de tubos... O civil 3d nos fornece um enorme catálogo de tubos e a primeira vista aquilo tudo é bastante confuso.



Mas vamos por partes, o que estamos projetando?

R: rede de drenagem



Que tipo de tubos usamos para isso?

R: de concreto



De quê diâmetros?

R de 400 a 2400mm (por exemplo)



Certo, e esses tubos são conectados a quê?

R: poço de visita, caixas de ligação, bocas de lobo...



E Qual a forma básica (geometria) dessas coisas?

R: Basicamente são retangulares ou circulares...



Perguntas esquisitas, não?

R: SIM!!!



Mas são com elas que vamos limitar todo o acervo de elementos que o PIPENETWORKS do c3d nos oferece!!!



A primeira coisa a fazer, é escolher o catálogo que vamos usar, por um simples motivo: UNIDADES DE MEDIDA!!! ISSO FAZ TODA A DIFERENÇA!!!, então, menu Pipes, Set Pipe Network Catalog (comando SETNETWORKCATALOG), vai aparecer isso:



Configure para Métrico, como na figura...



O civil trabalha com "Listas de materiais" e nelas colocamos apenas o que vamos usar.

Então, vamos fazer a "lista", menu Pipes, Part Lists, Create (comando AeccCreateNetworkPartsList, QUEM DÁ ESSES NOMES AOS COMANDOS???):






Vai aparecer uma tela, com várias abas... já devia ter se acostumado com isso, hein??

Comece com a aba "Information", dê um nome a sua lista, sugestão: DRENAGEM, por motivos óbvios...



Agora, na aba "Pipes" (tubos), clique com o botão direito do mouse sobre o "New Part List 1" e escolha "Add Part Family":






Funciona assim: "Part List" é sua lista, "Part family" é um grupo diferenciador, por exemplo, temos tubos circulares, ovais, quadrados... é o que aparece na tela que vai aparecer quando você proceder o passo acima... veja:






Adicione apenas os tubos circulares de concreto, beleza?





Feito isso, clique OK, expanda o "DRENAGEM", clique com o botão direito do mouse sobre o "Concrete Pipe SI" e clique "Add Part Size":






Na tela que aparece, é possível ver as propriedades do tubo que vamos adicionar, o mais importante é o diâmetro, é claro...
Quer dizer... é e não é, hehehe, você já vai saber porque...:






É possível adicionar vários diâmetros, até mesmo TODOS, e isso é do gosto do camarada, pois DEPOIS de inserido um tubo em planta, é possível mudar seu diâmetro pelas suas propriedades... Ou ainda, apagar ele, e inserir um de diâmetro diferente



Há inconvenientes e convenientes nisso... Minha dica: adicione APENAS UM diâmetro...



Com isso, já é possível definir o estilo do tubo, isto é, como ele irá aparecer...
de novo é aquele esquema: na coluna "Style" tem um botãozinho para clicar, nele escolha editar o estilo, vai nas abas e configura...

A aba "Plan" é como aparece em planta, nele deixe "Use Part Dimensions" marcado:




Assim vemos o tubo em planta no tamanho real. Idem na aba "Profile" já na aba "Display" é que fica interessante, coloque as paredes internas do tubo para aparecer tracejado, as externas em continuous... etc... vai do gosto... aquele modelo que deixei para download já tem estilos bem definidos, experimente ver como é...



Feita configuração do estilo do tubo, clique os OK necessários até voltar na tela do Network part List. Na coluna "Rules" definimos alguns parâmetros máximos e mínimos para o tubo, tal como COBRIMENTO, PROFUNDIDADE, DECLIVIDADE...



Estes parâmetros serão usados no lançamento da rede, aqui eu configurei assim:




São os parâmetros que eu uso



Feito isso, agora vamos criar a lista das Estruturas, isto é, poço de visita, boca de lobo...

Então dê os OK necessários... OPS!!!! você fechou a lista? para abri-la novamente, use o comando EDITNETWORKPARTLIST

Vá até a aba "Structures", você verá que já existe uma "Null Structure", o civil faz isso para você poder desenhar tubos que não chegam a caixa alguma, bom, vamos adicionar um PV, botão direito... já entendeu né?




Vai aparecer uma lista enorme.... Bem, um poço de visita é basicamente uma caixa retangular, com uma "chaminé" ou visita, a estrutura mais parecida com isso são as "Junction Structures With Frames", nela escolha uma das duas últimas, eu escolhi a ultima:




Agora é só adicionar as "Part Size", botão direito sobre a nova "pastinha" azul:




Vai aparecer:






Bem, você já deveria ter percebido que as dimensões disponíveis no seu civil 3d são diferentes do meu... nos diâmetros do tubo de concreto já acontece isso...

Aqui novamente... Para ajustar isso, usamos o "part Builder" que está no menu do Pipes... mas só vou falar dele mais pra frente...
enquanto isso, adicione apenas um poço de visita, o mais quadrado possível com as medidas disponíveis....



Como nos tubos, é possível configurar como irá aparecer no desenho o nosso poço de visita... clique na coluna "Style", edite um estilo para o pv!! não é difícil...

Apenas deixe na aba "Plan" "Use Outer Part boundary" para usar o contorno externo e na aba "Model" deixe "Use Catalog Defined 3D part"...



Outra coisa, reparou como o nome do PV ficou imenso?

Pra facilitar, troque para "PV", apenas



Agora, adicione uma caixa de ligação, mesmo esquema, botão direito sobre o "Part list", "Add Part Family",
Adicione uma "Junction Structure Without Frame":






Defina um estilo chamado CL e renomeie a caixa de ligação para CL...



ainda nesta "Part Family", adicione outra "Part Size", chame-a de BL (boca de lobo), sua lista ficará assim:






Ah, claro, não se preocupe com o tamanho da boca de lobo... quando falarmos do "part builder"
alteramos isso... por enquanto vamos mexer no básico, ok?



Pronto, temos a nossa lista de material básica... vamos desenhar!!

"coming soon", hehehe...

LinkWithin

Related Posts Plugin for WordPress, Blogger...